/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

import org.apache.tools.ant.Project;

import org.json.JSONObject;

/**
 * @author Leslie Wong
 */
public class SubrepositoryTaskReport extends SubrepositoryTask {

	public SubrepositoryTaskReport(Project project, String buildURL)
		throws Exception {

		this.buildURL = buildURL;
		this.project = project;

		testReportJSONObject = JenkinsResultsParserUtil.toJSONObject(
			JenkinsResultsParserUtil.getLocalURL(
				buildURL + "testReport/api/json?tree=failCount"));

		if (testReportJSONObject.getInt("failCount") > 0) {
			result = "FAILURE";
		}
		else {
			result = "SUCCESS";
		}
	}

	@Override
	public String getGitHubMessage() throws Exception {
		StringBuilder sb = new StringBuilder();

		sb.append(UnstableMessageUtil.getUnstableMessage(project, buildURL));

		return sb.toString();
	}

	protected static JSONObject testReportJSONObject;

	protected String buildURL;
	protected Project project;

}