/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser.junit;

import java.util.Arrays;
import java.util.Collection;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.Parameterized;
import org.junit.runners.Parameterized.Parameters;

/**
 * @author Yi-Chen Tsai
 */
@RunWith(Parameterized.class)
public class CustomScriptTest {

	@Parameters(name = "{0}")
	public static Collection<Object[]> getTestNames() throws Exception {
		return Arrays.asList(new Object[][] {
			new Object[] {System.getProperty("testName")}
		});
	}

	public CustomScriptTest(String testName) throws Exception {
	}

	@Test
	public void test() throws Exception {
		String expectedResult = System.getProperty("expected");
		String actualResult = System.getProperty("actual");

		Assert.assertEquals(expectedResult, actualResult);
	}

}